/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\Special Crafted Weapons\Blacksmithing\BoneMachete.cs
Lines of code: 32
***********************************************************/


using System;
using Server.Network;
using Server.Items;

namespace Server.Items
{
	public class BoneMachete : ElvenMachete
	{
		public override int LabelNumber{ get{ return 1020526; } } //Bone Machete

		[Constructable]
		public BoneMachete()
		{
		
		}

		public BoneMachete( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.WriteEncodedInt( 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadEncodedInt();
			
			if(LootType == LootType.Blessed)
			{
			LootType = LootType.Regular;
			Insured=true;
			}
		}
	}
}